From BlenderWiki

Jump to: navigation, search
Blender2.5
Instructions for building Blender2.5 are here


Installing Dependencies

This is different for each linux distribution.

Ubuntu Gutsy, Hardy, Jaunty

These commands can be copied into a terminal to compile blender on ubuntu gutsy.

sudo apt-get install subversion openexr libopenexr-dev build-essential libjpeg-dev \
libpng12-dev libopenal-dev libalut-dev libglu1-mesa-dev libsdl-dev libfreetype6-dev libtiff-dev python-dev \
gettext libxi-dev yasm

For Jaunty (9.04) use the same command but substitute "libtiff-dev" with "libtiff4-dev".

Continue at the Downloading and Building section...

Arch Linux

These commands can be copied into a terminal to compile blender.

pacman -S python3 svn mesa gcc openal freealut make yasm openexr libsamplerate

Continue at the Downloading and Building section

Gentoo

Look USE flags for Blender and set up it.

equery uses media-gfx/blender

Use -o (--onlydeps) option of emerge to install blender depends, then subversion :

emerge -o blender ; emerge subversion

You need to emerge epydoc to generate html API documentations.

Downloading and Building

This part is the same for every linux system, download and build blender in ~/blender-svn

cd ~; \
mkdir blender-svn; \
cd blender-svn; \
svn checkout https://svn.blender.org/svnroot/bf-blender/branches/blender2.4 blender; \
cd blender; \
echo "BF_OPENAL_LIB = 'openal alut'" > user-config.py; \
python scons/scons.py;

At the end of the build process you will have a blender binary and a message...

Install file: "/home/myname/blender-svn/build/linux2/bin/blender" as "/home/myname/blender-svn/install/linux2/blender"
 scons: done building targets.
 *** Success ***

to run blender from the root path "~/blender-svn/blender" you can symlink the binary here...

 cd ~/blender-svn/blender
 ln -s ../install/linux2/blender ./blender

Now you can run by typing (in ~/blender-svn/blender/ )...

 ./blender

Update your svn to the latest source (in ~/blender-svn/blender/ )...

 svn update

Rebuild after changing any files (in ~/blender-svn/blender/ )...

 python scons/scons.py

Troubleshooting

If you get this error it means /usr/lib/libGL.so is not available.

 /usr/bin/ld: cannot find -lGL
 collect2: ld returned 1 exit status

NVidia drivers wont setup this symlink, you can do this manually.

 sudo ln -s /usr/lib/libGL.so.1  /usr/lib/libGL.so